gr = love.graphics
io.stdout:setvbuf( 'no'  )

function love.load()
	love.window.setMode( 300, 300 )
	love.window.setTitle( 'Snowflake' )
	flake = gr.newImage( 'snowflake.png' )
	ssx, ssy = .5,.5
	dsx, dsy = 1,1
	an = 0
	end

function love.update( dt )
	an = an + dt
	ssx, ssy = ssx + dsx*dt/2, ssy + dsy*dt/10
	if ssx>1 or ssx<-1 then dsx = -dsx end
	end

function love.draw()
	gr.setColor(255,255,255)
	gr.draw(flake,150,150,an,ssx,ssy,flake:getWidth()/2,flake:getHeight()/2)
	end



function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end


